package category;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.mock;

class CategoryTest {

	@Test
	void getNameWorks() {
		CategoryId id = new CategoryId(32);
		CategoryName name = mock(CategoryName.class);

		Category sut = new Category(name, id);

		assertEquals(name, sut.getName());
	}

	@Test
	void getIdWorks() {
		CategoryId id = new CategoryId(32);
		CategoryName name = mock(CategoryName.class);

		Category sut = new Category(name, id);

		assertEquals(id, sut.getId());
	}
}
